Loading...
Searching...
No Matches
WaterfallData Class Reference

`#include <gnuradio/qtgui/waterfallGlobalData.h>`

## Public Member Functions

| WaterfallData (const double, const double, const uint64_t, const unsigned int)
| ~WaterfallData () override
virtual void | reset ()
virtual void | copy (const WaterfallData *)
virtual void | resizeData (const double, const double, const uint64_t, const int history=0)
virtual QwtRasterData * | copy () const
double | value (double x, double y) const override
virtual uint64_t | getNumFFTPoints () const
virtual void | addFFTData (const double *, const uint64_t, const int)
virtual const double * | getSpectrumDataBuffer () const
virtual void | setSpectrumDataBuffer (const double *)
virtual int | getNumLinesToUpdate () const
virtual void | setNumLinesToUpdate (const int)
virtual void | incrementNumLinesToUpdate ()

## Protected Attributes

std::vector< double > | _spectrumData
uint64_t | _fftPoints
uint64_t | _historyLength
int | _numLinesToUpdate
QwtInterval | _intensityRange

## Constructor & Destructor Documentation

## WaterfallData()

WaterfallData::WaterfallData | ( | const double | ,
|  | const double | ,
|  | const uint64_t | ,
|  | const unsigned int | )

Referenced by copy().

## ~WaterfallData()

WaterfallData::~WaterfallData | ( |  | ) |

override

## Member Function Documentation

## addFFTData()

virtual void WaterfallData::addFFTData | ( | const double * | ,
|  | const uint64_t | ,
|  | const int | )

virtual

## copy() [1/2]

virtual QwtRasterData * WaterfallData::copy | ( |  | ) | const

virtual

## copy() [2/2]

virtual void WaterfallData::copy | ( | const WaterfallData * |  | ) |

virtual

References WaterfallData().

## getNumFFTPoints()

virtual uint64_t WaterfallData::getNumFFTPoints | ( |  | ) | const

virtual

## getNumLinesToUpdate()

virtual int WaterfallData::getNumLinesToUpdate | ( |  | ) | const

virtual

## getSpectrumDataBuffer()

virtual const double * WaterfallData::getSpectrumDataBuffer | ( |  | ) | const

virtual

## incrementNumLinesToUpdate()

virtual void WaterfallData::incrementNumLinesToUpdate | ( |  | ) |

virtual

## reset()

virtual void WaterfallData::reset | ( |  | ) |

virtual

## resizeData()

virtual void WaterfallData::resizeData | ( | const double | ,
|  | const double | ,
|  | const uint64_t | ,
|  | const int | history = 0 )

virtual

## setNumLinesToUpdate()

virtual void WaterfallData::setNumLinesToUpdate | ( | const int |  | ) |

virtual

## setSpectrumDataBuffer()

virtual void WaterfallData::setSpectrumDataBuffer | ( | const double * |  | ) |

virtual

## value()

double WaterfallData::value | ( | double | x,
|  | double | y ) const

override

## Member Data Documentation

## _fftPoints

uint64_t WaterfallData::_fftPoints

protected

## _historyLength

uint64_t WaterfallData::_historyLength

protected

## _intensityRange

QwtInterval WaterfallData::_intensityRange

protected

## _numLinesToUpdate

int WaterfallData::_numLinesToUpdate

protected

## _spectrumData

std::vector<double> WaterfallData::_spectrumData

protected

The documentation for this class was generated from the following file:

- waterfallGlobalData.h